package com.mosty.yjzl.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwXfbbVo;
import com.mosty.base.model.dto.yjzl.CyjlSearchDto;
import com.mosty.base.model.dto.yjzl.MyZlSearchDto;
import com.mosty.base.model.dto.yjzl.NewZxjlSearchDto;
import com.mosty.base.model.dto.yjzl.third.ThirdMyZlSearchDto;
import com.mosty.base.model.dto.yjzl.third.ThirdZlInfoSearchDto;
import com.mosty.base.model.entity.yjzl.TbZlxx;
import com.mosty.base.model.entity.yjzl.TbZlxxZxjl;
import com.mosty.base.model.query.yjzl.TbZlxxZxjlQuery;
import com.mosty.base.model.vo.yjzl.TbZlxxInfoVo;
import com.mosty.base.model.vo.yjzl.TbZlxxVo;
import com.mosty.base.model.vo.yjzl.TbZlxxZxjlVo;
import com.mosty.base.model.vo.yjzl.TbZlxxZxrVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 指令-执行过程表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
public interface TbZlxxZxjlService {

    @ApiOperation("不分页查询指令执行过程")
    List<TbZlxxZxjl> queryList(TbZlxxZxjlQuery tbZlxxZxjlQuery);

    @ApiOperation("指令执行过程")
    int insert(TbZlxxZxjl zxjl);

    @ApiOperation("修改指令执行过程")
    int update(TbZlxxZxjl zxjl);

    @ApiOperation("根据ID删除")
    int deleteById(List<String> list);

    @ApiOperation("查询事件的参与警力")
    List<Map<String,Object>> getCyjlList(CyjlSearchDto sjid);

    @ApiOperation("查询现场装备集合")
    List<TbQwXfbbVo> getXczbList(String sjid);

    @ApiOperation("APP获取我的指令数量")
    List<Map<String,Object>> getMyZlCount();

    @ApiOperation("APP获取我的指令列表")
    IPage<TbZlxxZxrVo> getMyZlList(MyZlSearchDto dto);

    @ApiOperation("查询最新的指令执行记录")
    List<TbZlxxZxjlVo> getNewZxjl(NewZxjlSearchDto dto);

    @ApiOperation("根据身份证号查询指令统计")
    List<Map<String,Object>> getStatistics(String sfzh);

    @ApiOperation("根据状态查询指令列表")
    IPage<TbZlxxZxrVo> getPageList(ThirdMyZlSearchDto dto);

    @ApiOperation("查询指令详情接口")
    TbZlxxInfoVo getInfo(ThirdZlInfoSearchDto dto);
}
